/////////////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "RivaTunerExports.h"
#include "MonitoringHostSampleExports.h"
/////////////////////////////////////////////////////////////////////////////
const char g_szStub[] = "";
/////////////////////////////////////////////////////////////////////////////
// This exported function allows the plugins to know which host application 
// are they connected to
//
// Please contact me via AlexUnwinder@mail.ru to obtain unique host ID for
// your own host application
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API DWORD GetHostAppID()
{
	return MONITORINGHOSTSAMPLE_HOST_APP;
}
/////////////////////////////////////////////////////////////////////////////
// This exported function allows the plugins to know the version of the host
// application (version format is host specific)
/////////////////////////////////////////////////////////////////////////////

//v1.0

#define MONITORINGHOSTSAMPLE_VERSION_MAJOR		1
#define MONITORINGHOSTSAMPLE_VERSION_MINOR		0

MONITORINGHOSTSAMPLE_API DWORD GetHostAppVersion()
{
	return (MONITORINGHOSTSAMPLE_VERSION_MAJOR<<16) + MONITORINGHOSTSAMPLE_VERSION_MINOR;
}
/////////////////////////////////////////////////////////////////////////////
// The sample demonstrates CPU.dll plugin usage, which doesn't use low-level
// access to hardware, so we can use the stubs for all the unused functions
//
// You'll need to implement these functions in your host application if you 
// wish to use the plugins accessing hardware via these functions
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API LPCSTR GetDeviceName()
{
	return g_szStub;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API LPCSTR GetDeviceID()
{
	return g_szStub;
}
/////////////////////////////////////////////////////////////////////////////
#pragma warning (disable : 4100)
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API int inp(unsigned short port)
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API unsigned short inpw(unsigned short port)
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API unsigned long	inpd(unsigned short port)
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API int outp(unsigned short port, int data)
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API unsigned short outpw(unsigned short port, unsigned short data)
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API  unsigned long outpd(unsigned short port, unsigned long data)
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API DWORD ReadBusDataUlong(DWORD bus, DWORD devfn, DWORD offset)
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API WORD ReadBusDataUshort(DWORD bus, DWORD devfn, DWORD offset)
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API BYTE ReadBusDataUchar(DWORD bus, DWORD devfn, DWORD offset)
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API void WriteBusDataUlong(DWORD bus, DWORD devfn, DWORD offset, DWORD data)
{
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API void WriteBusDataUshort(DWORD bus, DWORD devfn, DWORD offset, WORD data)
{
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API void WriteBusDataUchar(DWORD bus, DWORD devfn, DWORD offset, BYTE data)
{
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API DWORD ReadRegisterUlong(DWORD dwAddr)
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API WORD ReadRegisterUshort(DWORD dwAddr)
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API BYTE ReadRegisterUchar(DWORD dwAddr)
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API void WriteRegisterUlong(DWORD dwAddr, DWORD data)
{
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API void WriteRegisterUshort(DWORD dwAddr, WORD data)
{
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API void WriteRegisterUchar(DWORD dwAddr, BYTE data)
{
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API BYTE GetI2CBusNum()
{
	return 0;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API BOOL ReadI2C(BYTE bus, BYTE dev, BYTE reg, LPBYTE lpData)
{
	return FALSE;
}
/////////////////////////////////////////////////////////////////////////////
MONITORINGHOSTSAMPLE_API BOOL WriteI2C(BYTE bus, BYTE dev, BYTE reg, LPBYTE lpData)
{
	return FALSE;
}
/////////////////////////////////////////////////////////////////////////////
#pragma warning (default : 4100)
/////////////////////////////////////////////////////////////////////////////

